# Create pricing policy attachment

Create a new pricing policy attachment.

## POST /public/v1/catalog/pricing-policies/{pricingPolicyId}/attachments

>

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5164-g77db55e8"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/catalog/pricing-policies/{pricingPolicyId}/attachments":{"post":{"tags":["Attachments"],"parameters":[{"name":"pricingPolicyId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"attachment":{"type":"object","properties":{"Name":{"type":"string"},"Description":{"type":"string"}},"description":"Json representation of the attachment"},"file":{"type":"string","format":"binary"}}},"encoding":{"attachment":{"contentType":"application/json"},"file":{"contentType":"application/octet-stream"}}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PricingPolicyAttachment"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"PricingPolicyAttachment":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"type":{"type":"string"},"size":{"type":"integer","format":"int32","nullable":true},"description":{"type":"string"},"fileName":{"type":"string"},"contentType":{"type":"string"},"status":{"type":"string"},"pricingPolicy":{"type":"object","allOf":[{"$ref":"#/components/schemas/PricingPolicyRef"}]}},"additionalProperties":false},"PlatformObjectAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"PricingPolicyRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"client":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"eligibility":{"allOf":[{"$ref":"#/components/schemas/PricingPolicyEligibility"}]},"products":{"type":"array","items":{"$ref":"#/components/schemas/Product"},"nullable":true}},"additionalProperties":false},"Account":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/AccountExternalIds"}],"nullable":true},"externalId":{"type":"string","nullable":true},"externalName":{"type":"string","nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}]},"technicalSupportEmail":{"type":"string","nullable":true},"website":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"groups":{"type":"array","items":{"$ref":"#/components/schemas/UserGroupRef"},"nullable":true},"eligibility":{"allOf":[{"$ref":"#/components/schemas/Eligibility"}],"nullable":true},"defaultLanguageCode":{"type":"string","nullable":true}},"additionalProperties":false},"AccountType":{"enum":["Client","Vendor","Operations"],"type":"string"},"AccountStatus":{"enum":["Active","Enabled","Disabled"],"type":"string"},"AccountExternalIds":{"type":"object","properties":{"pyraTenantId":{"type":"string","format":"uuid","nullable":true}},"additionalProperties":false},"Address":{"type":"object","properties":{"addressLine1":{"type":"string","nullable":true},"addressLine2":{"type":"string","nullable":true},"postCode":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"UserGroupRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","nullable":true},"logo":{"type":"string","nullable":true},"isDefault":{"type":"boolean"}},"additionalProperties":false},"Eligibility":{"type":"object","properties":{"client":{"type":"boolean"},"partner":{"type":"boolean"}},"additionalProperties":false},"PricingPolicyEligibility":{"type":"object","properties":{"client":{"type":"boolean"},"partner":{"type":"boolean"}},"additionalProperties":false},"Product":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/ProductAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"shortDescription":{"type":"string","nullable":true},"longDescription":{"type":"string","nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ProductExternalIdBag"}]},"website":{"type":"string"},"status":{"type":"string"},"vendor":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]},"settings":{"allOf":[{"$ref":"#/components/schemas/ProductSettings"}]},"statistics":{"allOf":[{"$ref":"#/components/schemas/ProductStatistics"}]}},"additionalProperties":false},"ProductAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"published":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"pending":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"unpublished":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"ProductExternalIdBag":{"type":"object","properties":{"operations":{"type":"string","nullable":true},"defaultErpItem":{"type":"string","nullable":true}},"additionalProperties":false},"AccountRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true}},"additionalProperties":false},"ProductSettings":{"type":"object","properties":{"productOrdering":{"type":"boolean"},"productRequests":{"allOf":[{"$ref":"#/components/schemas/ProductRequestsSetting"}]},"itemSelection":{"type":"boolean"},"orderQueueChanges":{"type":"boolean"},"preValidation":{"allOf":[{"$ref":"#/components/schemas/PreValidationSettings"}]},"splitBilling":{"allOf":[{"$ref":"#/components/schemas/ProductSplitBillingRequestsSetting"}]},"sendCostToErp":{"type":"boolean","nullable":true},"subscriptionCessation":{"allOf":[{"$ref":"#/components/schemas/SubscriptionCessationSetting"}]}},"additionalProperties":false},"ProductRequestsSetting":{"type":"object","properties":{"enabled":{"type":"boolean"},"name":{"type":"string","nullable":true},"label":{"type":"string","nullable":true}},"additionalProperties":false},"PreValidationSettings":{"type":"object","properties":{"purchaseOrderDraft":{"type":"boolean"},"purchaseOrderQuerying":{"type":"boolean"},"changeOrderDraft":{"type":"boolean"},"configurationOrderDraft":{"type":"boolean"},"terminationOrder":{"type":"boolean"}},"additionalProperties":false},"ProductSplitBillingRequestsSetting":{"type":"object","properties":{"enabled":{"type":"boolean"},"type":{"type":"string","nullable":true}},"additionalProperties":false},"SubscriptionCessationSetting":{"type":"object","properties":{"enabled":{"type":"boolean"},"mode":{"enum":["Termination","Auto-renewal","Termination or auto-renewal"],"type":"string","nullable":true}},"additionalProperties":false},"ProductStatistics":{"type":"object","properties":{"itemCount":{"type":"integer","format":"int32"},"ordersPlacedCount":{"type":"integer","format":"int32"},"agreementCount":{"type":"integer","format":"int32"},"subscriptionCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
